<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');

$id_ordem = intval($_GET[id_ordem]);

//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_ordem == ''){
	echo 'Entre com o n鷐ero da comanda!';
	exit;
}


$sql_ordem = selecionar('ordem,entidade','orde_tx_status','!inativo'," AND orde_nb_id = '$id_ordem' GROUP BY orde_tx_comanda ORDER BY orde_nb_id DESC");
$a_ordem = carrega_array($sql_ordem);

$a_cida=carregar('cidade',$a_ordem[enti_nb_cidade]);



if ( trim($a_ordem[orde_tx_obs2])!='' ) {
	$titulo = 'VIAGEM '.str_replace('DELIVERY ', '', $a_ordem[orde_tx_comanda]);
} else {
	$titulo = $a_ordem[orde_tx_comanda];
}



define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';


// INICIA A CRIA敲O DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();
 
$pdf->SetFont('arial','B',7);




// CRIA O CABE茿LHO DA IMPRESS肙
$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
$pdf->Ln(5);
$pdf->SetFont('arial','B',12);
$pdf->Cell(0,2,$titulo,0,1,'C');
$pdf->SetFont('arial','',8);
$pdf->Ln(2);
$pdf->Cell(0,2,date("d/m/Y ( H:i:s )"),0,1,'C');
$pdf->Ln(2);

$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
$pdf->SetFont('arial','',8);


 
// CRIA O CABE茿LHO DA TABELA DA LISTAGEM DOS PRODUTOS
$pdf->SetFont('arial','B',8);
$pdf->Cell(30,5,'ITEM',0,0,"L");
$pdf->Cell(50,5,'PRODUTO',0,1,"L");

$pdf->Cell(20,1,'QTDE',0,0,"R");
$pdf->Cell(30,1,'VL.UNIT.',0,0,"C");
$pdf->Cell(0,1,'VALOR',0,1,"R");


$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
 
$pdf->Ln(2);
 
// ALTERA O TIPO E TAMANHO DA FONTE
$pdf->SetFont('arial','',8);



// LISTAGEM DOS PRODUTOS DA COMANDA
$sql = selecionar('prod_tx_codbarras,orpr_nb_id,prod_tx_nome,orpr_tx_porcentagem,orpr_tx_valor,orpr_tx_desconto,orpr_tx_descontoReal,SUM(orpr_tx_qtde) as qtde,orpr_tx_qtde*orpr_tx_valor as valor,orpr_tx_obs,orpr_nb_adicional,prod_tx_tipo|orpr,produto,ordem','orpr_tx_status',"ativo"," AND prod_nb_id != '52' AND prod_nb_id != '389' AND orde_nb_id = '$id_ordem' GROUP BY orpr_nb_id ORDER BY orpr_nb_id ASC",0,1);
$desconto_total = 0;

while( $a = carrega_array($sql) ) {
// NAO EXIBE SE A QUANTIDADE FOR 0 ( NO CASO DE TER LANCADO UM PRODUTO E DEPOIS CANCELADO)
	if( $a[qtde] == 0 )	
		continue;


	$unitario = $a[orpr_tx_valor];
	$valor_prod = ($unitario*$a[qtde]);


	// SE FOR UM ADICIONAL, APLICAR UMA COR E FORMATACAO DIFERENTE
	if( $a[prod_tx_tipo] == 'Adicional' ) {
		// FAZ COM QUE APARECE NO FORMATO 1.1 E 1.2
		$ESPACO = "    ";
		$j--;
		$subitem++;
		$exibe_subitem=".".$subitem;
	} else {

		$subitem=0;
		$exibe_subitem='';
		$ESPACO='';
	}	

	// LINHA 1 DA LISTAGEM DE PRODUTOS
	$pdf->Cell(10,3,str_pad(++$j,2,'0',STR_PAD_LEFT).$exibe_subitem,0,0,"L");
	$pdf->Cell(1,3,strtoupper($ESPACO.$a[prod_tx_nome]),0,1,"L");

	// LINHA 2 DA LISTAGEM DE PRODUTOS
	$pdf->Cell(20,3,mostra_valor($a[qtde]),0,0,"R");
	$pdf->Cell(30,3,mostra_valor($unitario),0,0,"C");
	$pdf->Cell(0,3,mostra_valor($valor_prod),0,1,"R");

	


	// $string_imprime .= "<tr><td width='40px' >".str_pad(++$j,2,'0',STR_PAD_LEFT)."</td><td colspan=2>".$a[prod_tx_nome]."</td></tr>"."\r\n";
	// $string_imprime .= "<tr><td width='40px' align=right>".mostra_valor($a[qtde])."</td><td align=center width='100px'>R$ ".mostra_valor($unitario)."</td><td  align=right>R$ ".mostra_valor($valor_prod)."</td></tr>"."\r\n";
	
	$total += $valor_prod;
	$desconto_total += $a[orpr_tx_descontoReal];
	
	$pdf->Ln(1);


	// SE TIVER OBSERVACAO E NAO FOR UM ADICIONAL ENTAO EXIBE A COMANDA
	// SE FOR UM ADICIONAL QUER DIZER QUE A OBSERVACAO JAH FOI IMPRESSA ACIMA
	if( $a[orpr_tx_obs] != '' AND intval($a[orpr_nb_adicional]) == 0 ) {

		// LINHA 1 DA LISTAGEM DE PRODUTOS
//		$pdf->Cell(10,3,'',0,0,"L");
//		$pdf->Cell(1,3,$a[orpr_tx_obs],0,1,"L");
		//$pdf->Cell(1,3,$a[orpr_tx_obs],0,1,"L");
			$height = (ceil(($pdf->GetStringWidth(strtoupper($a[orpr_tx_obs])) / 40)) * 2);
			$pdf->MultiCell(0,$height,strtoupper($a[orpr_tx_obs]),0);		
		$pdf->Ln(3);

			
	}

}



// OBTEM O VALOR DA TAXA DE SERVI荗
$sql3 = selecionar('orpr_nb_id,orpr_tx_valor,orde_tx_comanda,orpr_nb_ordem|orpr,ordem','orpr_tx_status',"taxa"," AND orde_nb_id = '$id_ordem' GROUP BY orpr_nb_id ORDER BY orpr_nb_id DESC LIMIT 1",0);
while( $a3 = carrega_array($sql3) ) {
	// OBTEM O VALOR A SER PAGO PELA COMISS肙
	$v_comissao = ($total-$desconto_total)*$a3[orpr_tx_valor]/100;

}


$pdf->SetFont('arial','B',8);
$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
$pdf->SetFont('arial','',8);


// CRIA AS LINHAS COM O SUB-TOTAL E O TOTAL
$pdf->Ln(1);
$pdf->Cell(50,5,"SUB TOTAL:",0,0,"R");
$pdf->Cell(0,5,'R$ '.mostra_valor($total),0,1,"R");
$pdf->Ln(1);

if ( $desconto_total > 0 ) {
	// SE TIVER APLICADO ALGUM DESCONTO
	$pdf->Cell(50,1,"DESCONTOS:",0,0,"R");
	$pdf->Cell(0,1,'R$ -'.mostra_valor($desconto_total),0,1,"R");
	$pdf->Ln(1);
}

$pdf->Cell(50,1,"TAXA DE ENTREGA:",0,0,"R");
$pdf->Cell(0,1,'R$ '.mostra_valor($a_ordem[orde_tx_delivery],1),0,1,"R");
$pdf->Ln(2);

$pdf->SetFont('arial','B',10);
$pdf->Cell(50,2,"TOTAL:",0,0,"R");
$pdf->SetFont('arial','B',10);
$pdf->Cell(0,2,'R$ '.mostra_valor(($total+$a_ordem[orde_tx_delivery]),1),0,1,"R");
$pdf->Ln(2);

$a_forma = carregar('forma',$a_ordem[orde_nb_forma]);

$pdf->SetFont('arial','',8);
$pdf->Cell(50,2,"$a_forma[form_tx_nome]:",0,0,"R");
$pdf->Cell(0,2,'R$ '.mostra_valor($a_ordem[orde_tx_valorPagamento],1),0,1,"R");
$pdf->Ln(2);


$valor_troco = $a_ordem[orde_tx_valorPagamento] - ($total+$a_ordem[orde_tx_delivery]);

if ( $valor_troco > 0 ) {
	$pdf->Cell(50,2,"TROCO:",0,0,"R");
	$pdf->Cell(0,2,'R$ '.mostra_valor(($valor_troco),1),0,1,"R");
	$pdf->Ln(2);

}

$pdf->SetFont('arial','',10);


$a_cida[cida_tx_nome]=strtr($a_cida[cida_tx_nome],"衢眢牯沲噼祢","辽陀诼试谜廊桃偾");// O STRTOUPPER N肙 COMVERTE PARA MAI赟CULO
$a_cida[cida_tx_nome]=strtoupper(trim($a_cida[cida_tx_nome]));

$a_ordem[enti_tx_nome]=strtoupper($a_ordem[enti_tx_nome]);
$a_ordem[enti_tx_endereco]=strtoupper($a_ordem[enti_tx_endereco]);
$a_ordem[enti_tx_bairro]=strtoupper($a_ordem[enti_tx_bairro]);
$a_ordem[enti_tx_complemento]=strtoupper($a_ordem[enti_tx_complemento]);
$a_ordem[orde_tx_obs]=strtoupper($a_ordem[orde_tx_obs]);



@$endereco = implode(", ",array_filter(array($a_ordem[enti_tx_endereco],$a_ordem[enti_tx_numero],$a_ordem[enti_tx_complemento],$a_ordem[enti_tx_bairro])));
@$fone = implode(", ",array_filter(array($a_ordem[enti_tx_fone],$a_ordem[enti_tx_cel])));

$pdf->Ln(2);
$pdf->Ln(2);
if ( trim($a_ordem[orde_tx_obs2])!='' ) {
	// PARA VIAGEM
	$pdf->Cell(0,0,"CLIENTE: $a_ordem[orde_tx_obs2]",0,1,"L");
} else {
	// CLIENTE NORMAL
	// $pdf->Cell(0,0,"CLIENTE: $a_ordem[enti_tx_nome]",0,1,"L");
	$height = (ceil(($pdf->GetStringWidth("CLIENTE: $a_ordem[enti_tx_nome]") / 40)) * 1);
	$pdf->MultiCell(0,$height,"CLIENTE: $a_ordem[enti_tx_nome]",0);
	$pdf->Ln(4);
	if( $fone != '' ) {
		$pdf->Cell(0,0,"FONE: $fone",0,1,"L");
		$pdf->Ln(4);
	}
	// $pdf->Cell(0,0,"$a_ordem[enti_tx_endereco], $a_ordem[enti_tx_numero]",0,1,"L");
	if( $a_ordem[enti_tx_endereco] != '' ) {
		$height = (ceil(($pdf->GetStringWidth("$a_ordem[enti_tx_endereco], $a_ordem[enti_tx_numero]") / 40)) * 1);
		$pdf->MultiCell(0,$height,"$a_ordem[enti_tx_endereco], $a_ordem[enti_tx_numero]",0);
		$pdf->Ln(4);
	}
	// $pdf->Cell(0,0,,0,1,"L");	
	if( $a_ordem[enti_tx_bairro] != '' ) {
		$height = (ceil(($pdf->GetStringWidth("$a_ordem[enti_tx_bairro] - $a_cida[cida_tx_nome]/$a_cida[cida_tx_uf]") / 40)) * 1);
		$pdf->MultiCell(0,$height,"$a_ordem[enti_tx_bairro] - $a_cida[cida_tx_nome]/$a_cida[cida_tx_uf]",0);
		$pdf->Ln(4);
	}
	
	// $pdf->Cell(0,0,"$a_ordem[enti_tx_complemento]",0,1,"L");
	$height = (ceil(($pdf->GetStringWidth($a_ordem[enti_tx_complemento]) / 40)) * 1);
	$pdf->MultiCell(0,$height,$a_ordem[enti_tx_complemento],0);
}

$pdf->Ln(4);
// $pdf->Cell(0,0,"$a_ordem[orde_tx_obs]",0,1,"L");
$height = (ceil(($pdf->GetStringWidth($a_ordem[orde_tx_obs]) / 40)) * 1);
$pdf->MultiCell(0,$height,$a_ordem[orde_tx_obs],0);
$pdf->Ln(4);


$pdf->Ln(2);
$pdf->Ln(2);
$pdf->Cell(0,0,'SISTEMAS CACTUS',0,1,"C");


// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');

//if( intval($_GET[impressora]) == 0 )
//		$_GET[impressora] = 4;

bat_imprime($arquivo_pdf,intval($_GET[impressora]));
// NAO PRECISA IMPRIMIR PQ EU TO SO TESTANDO 



// $pdf->Output();








?>